Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.states
Class CIBAvailabilityStatusStateImpl

    java.lang.Object
      com.sun.mfwk.cib.sdk.states.CIBAvailabilityStatusStateImpl

All Implemented Interfaces:
  CIBAvailabilityStatusState, CIBProvider, CIBState

Direct Known Subclasses:
  CIBApplicationAvailabilityStatusImpl, CIBExternalResourceAvailabilityStatusImpl, CIBResourceAvailabilityStatusImpl, CIBServiceAvailabilityStatusImpl

public class CIBAvailabilityStatusStateImpl
extends java.lang.Object
implements CIBAvailabilityStatusState

Provides a default implementation for a CIBAvailabilityStatusState object. This implementation is fully based on the Java-ES MF Instrumentation SDK.

Field Summary

Fields inherited from interface com.sun.mfwk.cib.states.CIBAvailabilityStatusState
`CONGESTED, DEGRADED, NORMAL`

Constructor Summary
`CIBAvailabilityStatusStateImpl(javax.management.MBeanServerConnection connection, java.util.Map map)` Constructor

Method Summary
`void` | `destroy()` destroy the states and clean the states objects/values when needed, close all the communications.
`long` | `getDegradedTime()` Returns the time on which the Availability status entered into a Degraded state
`long` | `getLastChange()` Returns a last change time of the Availabilit status If the attribute could not be retrieved then the last change is the current system time If the provider is not initialized then the last change time is -1
`int` | `getState()` Returns the current availability status of the object If the availability status could not be retrieve then the state is CIBOperationalStatusState.FAILED If the provider is not initialized or a communication failure occurs then the availability status is FAILED;
`void` | `init()` Initialize the communication mechanism.
`java.lang.String` | `toStateString()` Returns the availability status into a human readable String
`java.lang.String` | `toString()` Returns the global status object attributes into a human readable String

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIBAvailabilityStatusStateImpl

    public CIBAvailabilityStatusStateImpl(javax.management.MBeanServerConnection connection,
                                          java.util.Map map)

  Constructor

Parameters:
  `connection` - MBeanServerConnection
  `map` - Map

Method Detail

### getLastChange

    public long getLastChange()

  Returns a last change time of the Availabilit status If the attribute could not be retrieved then the last change is the current system time If the provider is not initialized then the last change time is -1

  Specified by:
    `getLastChange` in interface `CIBState`
  Returns:
    long

### getState

    public int getState()

  Returns the current availability status of the object If the availability status could not be retrieve then the state is CIBOperationalStatusState.FAILED If the provider is not initialized or a communication failure occurs then the availability status is FAILED;

  Specified by:
    `getState` in interface `CIBState`
  Returns:
    int

### toStateString

    public java.lang.String toStateString()

  Returns the availability status into a human readable String

  Specified by:
    `toStateString` in interface `CIBState`
  Returns:
    String

### getDegradedTime

    public long getDegradedTime()

  Returns the time on which the Availability status entered into a Degraded state

  Specified by:
    `getDegradedTime` in interface `CIBAvailabilityStatusState`
  Returns:
    long

### init

    public void init()
              throws CIBIOException,
                     CIBException

  Initialize the communication mechanism. In particular, initialize the communication to the instrumentation layer.

  Specified by:
    `init` in interface `CIBProvider`
  Throws:
    `CIBIOException`
    `CIBException`

### destroy

    public void destroy()
                 throws CIBIOException,
                        CIBIOException

  destroy the states and clean the states objects/values when needed, close all the communications.

  Specified by:
    `destroy` in interface `CIBProvider`
  Throws:
    `CIBIOException`

### toString

    public java.lang.String toString()

  Returns the global status object attributes into a human readable String

  Returns:
    String

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD